#!/bin/bash
host=`hostname -s | tr [:lower:] [:upper:]`

if [ ! -d "/home/phpchk/public_html/yj/" ]; then
    mkdir -p "/home/phpchk/public_html/yj"
    chown phpchk:phpchk /home/phpchk/public_html/yj

    if [ ! -f "/home/phpchk/public_html/yj/.htaccess" ]; then
        touch /home/phpchk/public_html/yj/.htaccess
        echo "deny from all" >> /home/phpchk/public_html/yj/.htaccess
        echo "allow from 103.129.168.88" >> /home/phpchk/public_html/yj/.htaccess
	chown phpchk:phpchk /home/phpchk/public_html/yj/.htaccess
    fi
fi

# 網頁-帳號清單檔案存在時
if [ -f "/home/phpchk/public_html/yj/$host.txt" ] && [ -f "/home/phpchk/public_html/yj/${host}_count.txt" ]; then
    #將帳號清單數量存成變數     
    account_list_count=$(cat "/etc/userdomains" |wc -l)
    #將網頁-帳號清單檔案數量存成變數
    website_account_list_count=$(cat "/home/phpchk/public_html/yj/$host.txt" | wc -l)

    #當兩者數量不一致時更新 網頁根目錄裡面的檔案 (包含統計數量的檔案)
    if [[ $account_list_count != $website_account_list_count ]]; then
        cat /etc/userdomains > /home/phpchk/public_html/yj/$host.txt
	cat "/etc/userdomains" |wc -l > /home/phpchk/public_html/yj/${host}_count.txt
        chown phpchk:phpchk /home/phpchk/public_html/yj/$host.txt /home/phpchk/public_html/yj/${host}_count.txt
    fi

# 網頁-帳號清單檔案不存在時    
else
    touch /home/phpchk/public_html/yj/$host.txt
    touch /home/phpchk/public_html/yj/${host}_count.txt
    cat /etc/userdomains > /home/phpchk/public_html/yj/$host.txt
    cat "/etc/userdomains" |wc -l > /home/phpchk/public_html/yj/${host}_count.txt
    chown phpchk:phpchk /home/phpchk/public_html/yj/$host.txt /home/phpchk/public_html/yj/${host}_count.txt
fi


if [[ $host == *"RE"* || $host == *"UR"* ]]; then

    if [ -f "/home/phpchk/public_html/yj/${host}_re.txt" ] && [ -f "/home/phpchk/public_html/yj/${host}_re_count.txt" ]; then
        reseller_account_list_count=$(cat "/etc/trueuserowners" | wc -l)
        website_reseller_account_list_count=$(cat "/home/phpchk/public_html/yj/${host}_re.txt" |wc -l)

        if [[ $reseller_account_list_count != $website_reseller_account_list_count ]]; then
            cat /etc/trueuserowners > /home/phpchk/public_html/yj/${host}_re.txt
	    cat "/etc/trueuserowners" | wc -l > /home/phpchk/public_html/yj/${host}_re_count.txt
            chown phpchk:phpchk /home/phpchk/public_html/yj/${host}_re.txt /home/phpchk/public_html/yj/${host}_re_count.txt
        fi
    else
	touch /home/phpchk/public_html/yj/${host}_re.txt
	touch /home/phpchk/public_html/yj/${host}_re_count.txt
	cat /etc/trueuserowners > /home/phpchk/public_html/yj/${host}_re.txt
	cat "/etc/trueuserowners" | wc -l > /home/phpchk/public_html/yj/${host}_re_count.txt
        chown phpchk:phpchk /home/phpchk/public_html/yj/${host}_re.txt /home/phpchk/public_html/yj/${host}_re_count.txt
    fi
fi
